using System;
using System.Collections.Generic;

namespace WS
{
    ///<summary>ViewManager扩展</summary>
    public partial class ViewManager
    {
        ///<summary>初始化类型To名称</summary>
        private Dictionary<Type, string> DicTypeToName = new Dictionary<Type, string>();

        private void StartType()
        {
            DicTypeToName.Add(typeof(MainView), "MainView");
            DicTypeToName.Add(typeof(PointView), "PointView");
            DicTypeToName.Add(typeof(LoadingView), "LoadingView");
            DicTypeToName.Add(typeof(MessagerView), "MessagerView");
            DicTypeToName.Add(typeof(WaitView), "WaitView");
            DicTypeToName.Add(typeof(ChoosePopView), "ChoosePopView");
            DicTypeToName.Add(typeof(EndTeachView), "EndTeachView");
            DicTypeToName.Add(typeof(GuideView), "GuideView");
            DicTypeToName.Add(typeof(MapView), "MapView");
            DicTypeToName.Add(typeof(ProgressPopView), "ProgressPopView");
            DicTypeToName.Add(typeof(SearchTypeEntryView), "SearchTypeEntryView");
        }

        ///<summary>获取名称</summary>
        private string GetToName(Type type)
        {
            return DicTypeToName[type];
        }
    }
}
